> For the complete documentation index, see [llms.txt](https://docs.bespokelabs.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bespokelabs.ai/models/bespoke-minicheck/integrations.md).

# Integrations

### Guardrails

Bespoke MiniCheck is available as a Guardrails validator here: <https://hub.guardrailsai.com/validator/bespokelabs/bespoke_minicheck>

Example usage:

```python
# Import Guard and Validator
from guardrails.hub import BespokeMiniCheck
from guardrails import Guard

# Setup Guard
guard = Guard().use(
    BespokeMiniCheck,
    split_sentences=True,
    threshold=0.5,
    on_fail="fix"
)

# Validator passes
guard.validate("Alex likes cats.",
               metadata={"context": "Alex likes cats and dogs"})  
# Validator fails
guard.validate("Alex likes cats.",
               metadata={"context": "Alex likes dogs, but not cats."})  
```

### Ollama

Bespoke-MiniCheck-7B is available from Ollama [here](https://ollama.com/library/bespoke-minicheck).

More information can be found from their [blog post](https://ollama.com/blog/reduce-hallucinations-with-bespoke-minicheck).

Once you have Ollama, it is pretty straightforward to use the model. Note that Ollama doesn't yet support getting logits from the model, therefore we just output "yes" or "no".

As part of Ollama, there are two examples available:

1. [Fact checking](https://github.com/ollama/ollama/tree/main/examples/python-grounded-factuality-simple-check)
2. [RAG use case](https://github.com/ollama/ollama/tree/main/examples/python-grounded-factuality-rag-check)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bespokelabs.ai/models/bespoke-minicheck/integrations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
